<div class="pt-16 md:pt-24 lg:pt-28 xl:pt-36">
  <div class="w-full h-36 lg:h-40 xl:h-64 relative flex justify-center items-center">
    <div class="absolute inset-0 bg-cover bg-center filter brightness-65"
      [ngStyle]="{'background-image': 'url(' + department_data?.department_img + ')'}"></div>
    <p class="relative z-50 text-center text-white text-3xl font-medium md:text-4xl xl:text-5xl">
      {{department_data?.department_name}}</p>
  </div>
  <div class="py-6 px-7 text-sm lg:text-base text-center font-light xl:px-32 lg:py-10">
    {{department_data?.department_description}}
  </div>

  <div class="bg-[#C29667] py-4 px-7" style="filter: drop-shadow(0px 7px 6px #8f8f8f);">
    <!-- Version mobile -->
    <p class="text-white font-medium text-center md:text-2xl lg:hidden">Découvrez les spécialités du département :
      {{department_data?.department_name}}</p>
    <div class="flex mt-5 items-center gap-4 lg:hidden">
      <input class="border py-2 px-4 w-1/2 rounded-xl border-slate-300" type="text" placeholder="Rechercher..." />
      <select class="py-3 px-5 w-1/2 rounded-xl bg-[#734124] text-white">
        <option value="specialty1">Spécialité 1</option>
        <option value="specialty2">Spécialité 2</option>
      </select>
    </div>
    <div class="flex flex-wrap gap-3 mt-8 lg:hidden">
      @for(typedata of type; track type){
      <div class="flex items-center gap-2 bg-[#734124] rounded-full text-white py-1 px-4">
        <input type="checkbox" id="{{typedata.product_type_name}}" name="{{typedata.product_type_name}}"
          value="{{typedata.product_type_name}}"
          class="rounded-full bg-white appearance-none h-3 w-3 checked:bg-gray-400 checked:border-transparent">
        <label for="{{typedata.product_type_name}}"> {{typedata.product_type_name}} </label>
      </div>
      }
    </div>
    <!---->

    <!-- Version desktop -->
    <div class="hidden lg:flex lg:items-center gap-3 xl:gap-6 lg:justify-center">
      <div class="mt-5">
        <p class="text-white font-medium text-center text-2xl xl:text-3xl">Découvrez les spécialités du département :
          {{department_data?.department_name}}</p>
        <div class="flex-wrap gap-3 mt-8 flex">
          @for(typedata of type; track type){
          <div class="flex items-center gap-2 bg-[#734124] rounded-full text-white py-1 px-4">
            <input type="checkbox" id="{{typedata.product_type_name}}" name="{{typedata.product_type_name}}"
              value="{{typedata.product_type_name}}"
              class="rounded-full bg-white appearance-none h-3 w-3 checked:bg-gray-400 checked:border-transparent">
            <label for="{{typedata.product_type_name}}"> {{typedata.product_type_name}} </label>
          </div>
          }
        </div>
      </div>
      <div class="xl:mt-5">
        <input class="border py-2 px-4 w-full rounded-xl border-slate-300 mb-3" type="text" placeholder="Rechercher..." />
        <select class="py-3 px-5 rounded-xl w-full bg-[#734124] text-white mt-3">
          <option value="specialty1">Spécialité 1</option>
          <option value="specialty2">Spécialité 2</option>
        </select>
      </div>
    </div>
    <!---->

    <div class="mt-14 flex flex-wrap justify-center text-white gap-8">
      @if(productsToShow.length === 0){
        <div class="text-center mt-4 text-xl">
          <p>Il n'y a aucun produit pour le moment.</p>
        </div>
      }

      @for(product of productsToShow; track productsToShow){
      <div class="relative">
        <img src="{{product.product_img}}" alt="Description de votre image 1"
          class="w-60 h-60 filter brightness-65 rounded" />
        <div class="absolute inset-0 flex flex-col justify-end m-8">
          <p class="text-lg my-2 font-medium md:text-xl xl:text-2xl">{{product.product_name}}</p>
          <app-button [buttonText]="'Voir plus'" class="text-sm xl:text-base"
            (buttonClick)="navigateToProduct(product.product_name)"></app-button>
        </div>
      </div>
      }
    </div>
    <app-pagination [totalItems]="totalItems" [itemsPerPage]="itemsPerPage"
      (pageChange)="onPageChange($event)"></app-pagination>
  </div>

  <div class="mt-14 bg-[#807F4B] drop-shadow-md py-4 px-7">
    <p class="text-white font-medium text-center md:text-2xl">
      Découvrez les activités proposées au sein département : {{department_data?.department_name}}
    </p>

    @if(workshop.length === 0){
      <div class="text-center text-white mt-4 text-xl">
        <p>Il n'y a aucune activité pour le moment.</p>
      </div>
    }

    @for(activity of workshop.slice(0, displayedWorkshopCount); track activity){
      <div class="text-white my-10 md:flex gap-4 items-center lg:justify-center" (click)="navigateToWorkshop(activity.ID_workshop)">
        <div class="flex justify-center">
          <img [src]="activity.photos[0]?.url" alt="Description de votre image 1" class="w-60 h-60 md:w-32 md:h-32 lg:w-60 lg:h-60 filter brightness-65 rounded-lg" />
        </div>
        <br />
        <div class="text-center md:text-left">
          <p class="font-medium text-xl">{{activity.workshop_name}}</p>
          <p class="my-2 text-sm italic">{{ truncateText(activity.workshop_description, 60) }}</p>
          <p class="my-2">Prix : {{activity.workshop_price}} €</p>
          <p>Organisateur : {{activity.organizer.merchant_name}}</p>
        </div>
      </div>
    }

    @if(workshop.length > displayedWorkshopCount){
      <div class="flex justify-center my-6">
        <app-button (buttonClick)="showMoreWorkshop()" [buttonText]="'Afficher plus'"></app-button>
      </div>
    }
  </div>

  <div class="mt-14">
    <p class="text-center text-xl">Nos dernières actus</p>
    <div class="flex justify-center gap-10 mt-5 flex-wrap relative">
      @for(post of blog; track post){
        <div (click)="navigateToBlog(post.article_title)" class="relative group hover:cursor-pointer">
          <img class="h-72 w-72 object-cover object-center inset-0 bg-cover bg-center filter brightness-65 blur-[3px] transform transition-transform duration-300 group-hover:translate-y-[-5px]" src={{post.article_image}} alt="blog">
          <div class="absolute inset-0 flex justify-center items-center transform transition-transform duration-300 group-hover:translate-y-[-5px]">
            <span class="text-white text-center font-medium text-xl">{{post.article_title}}</span>
          </div>
        </div>
      }
    </div>
  </div>

  <div class="my-14">
    <p class="text-center text-xl">Liste des circuits</p>
    @for(chemin of circuit; track chemin){
      <div class="xl:flex justify-center">
        <div class="relative mt-5 mx-3 xl:w-1/2" (click)="navigateToCircuit(chemin.ID_circuit)">
          <img 
            [src]="chemin.circuit_img" 
            alt="Description de votre image 1"
            class="w-full h-20 filter brightness-65 object-cover rounded" 
          />
          <div class="absolute inset-0 flex items-center mx-5">
            <p class="text-lg text-white font-medium md:text-xl xl:text-2xl">{{chemin.circuit_name}}</p>
          </div>
        </div>
      </div>
    }
  </div>
</div>